import type { App } from 'vue'
import { createVuetify } from 'vuetify'
import defaults from './defaults'
import { icons } from './icons'
import { themes } from './theme'

import 'vuetify/styles'

export default function installVuetify(app: App): void {
  const vuetify = createVuetify({
    defaults,
    icons,
    theme: {
      defaultTheme: 'dark',
      themes,
    },
  })

  app.use(vuetify)
}
